org.eclipse.net4j.util.container

## Class LifecycleEventConverter<E>

- java.lang.Object
- - org.eclipse.net4j.util.container.LifecycleEventConverter<E>

- All Implemented Interfaces:
    java.util.EventListener, IListener

      public class LifecycleEventConverter<E>
      extends java.lang.Object
      implements IListener

  A delegating `listener` that converts `lifecycle events` into `container events`.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LifecycleEventConverter(Notifier owner)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `added(ILifecycleEvent e)`
    `protected IContainerEvent<E>` | `createContainerEvent(IContainer<E> container, E element, IContainerDelta.Kind kind)`
    `protected void` | `fireContainerEvent(ILifecycleEvent e, IContainerDelta.Kind kind)`
    `INotifier` | `getOwner()`
    `void` | `notifyEvent(IEvent event)`
    `protected void` | `removed(ILifecycleEvent e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LifecycleEventConverter

          public LifecycleEventConverter(Notifier owner)

  - ### Method Detail

    - #### getOwner

          public INotifier getOwner()

    - #### notifyEvent

          public void notifyEvent(IEvent event)

      Specified by:
        `notifyEvent` in interface `IListener`

    - #### added

          protected void added(ILifecycleEvent e)

    - #### removed

          protected void removed(ILifecycleEvent e)

    - #### fireContainerEvent

          protected void fireContainerEvent(ILifecycleEvent e,
                                            IContainerDelta.Kind kind)

    - #### createContainerEvent

          protected IContainerEvent<E> createContainerEvent(IContainer<E> container,
                                                            E element,
                                                            IContainerDelta.Kind kind)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html